Subject: Re: [MBONED] draft-ietf-mboned-mcaddrdoc comment regarding AS112

From: Stig Venaas <[email-masked]>
Date: Wed, 10 Aug 2011 13:59:18 -0700

On 7/28/2011 9:31 AM, William F. Maton Sotomayor wrote:
> On Thu, 28 Jul 2011, Stig Venaas wrote:
>
>> On 7/28/2011 4:45 AM, William F. Maton Sotomayor wrote:
>>>
>>> All,
>>> I have read this document and have just one comment to make in context
>>> of AS112 DNS operations: Would it make sense to delegate the reverse map
>>> for the addresses specified in section 2 towards the AS112 project? In
>>> the past, the unicast addresses for documentation have, of course, been
>>> used by end-users and administrators (having personally cringed at
>>> seeing this myself behind someone's NAT). The reverse lookups then go on
>>> to load the root DNS servers and on it goes. cf RFC 6303 - 6305.
>>
>> What do you think of getting actual reverse mappings for this? At
>> least for IPv4 it could be done. For IPv6 it is slightly more tricky,
>> depending on the authoritative DNS servers. Some servers should allow
>> a way to do PTR without explicitly having every entry in the zone
>> file or memory.
>
> Hi Stig,
>
> There have been discussions about this in DNSOP and on the as112-ops
> mailing lists. It's possible, I believe, to do so. But this is one of
> those instances where we're faced with whether a draft like this should
> incorporate the appropriate language to have the delegation done, or if
> it should come from DNSOP. BTW, there is another draft waiting for DNSOP
> adoption that touches upon delegation of some IPv6 multicast as well as
> IPv6 unicast addresses that I'm sure some folks from MBONED may have
> already commented on.
>
> Regarding the entry of every undesirable zone and maintaining those
> entries as they come and go, there are two informal proposals:
>
> - Use DNAME to keep management overhead down (but does this truly relieve
> DNS root server load?);
>
> - Delegate every reverse map not in use, and then peel back from AS112
> those zones formally delegated for legitimate use.
>
> Or a combination of both.
>
> It might be good to compare notes with the DNSOP working group co-chairs
> to see which way may be best - if you want to incorporate my suggestion
> or if they and you feel it may be better to simply do that through an
> existing draft waiting to be adopted there (please see
> draft-sotomayor-as112-ipv4-cull as an example).

Right, I'm not sure if I want to talk about DNS here. There are other
drafts talking about what should be done with reverse DNS for IANA
allocations. Both your draft and Peter Koch's
draft-ietf-mboned-mcast-arpa-03.txt

I basically these should be treated similar to what is decided for
other IANA reservations.

Stig

> Thanks,
> wfms